import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
await client.issues.create({
source: 'TEST',
title: 'Response quality degradation',
priority: 'HIGH',
type: 'BUG',
});import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
client.issues.create(
source="TEST",
title="Response quality degradation",
priority="HIGH",
type="BUG",
)curl --request POST \
--url https://api.avidoai.com/v0/issues \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Response quality degradation",
"summary": "The chatbot is providing incomplete responses",
"source": "TEST",
"priority": "HIGH",
"type": "BUG"
}
'
{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Create a new issue
Creates a new issue for tracking problems or improvements.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
await client.issues.create({
source: 'TEST',
title: 'Response quality degradation',
priority: 'HIGH',
type: 'BUG',
});import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
client.issues.create(
source="TEST",
title="Response quality degradation",
priority="HIGH",
type="BUG",
)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
Request body for creating a new issue
Title of the issue
"Response quality degradation"
Where the issue originated from
TEST, TASK, TOPIC, SYSTEM, MONITORING, API, HUMAN_ANNOTATION "TEST"
Detailed description of the issue
"The chatbot is providing incomplete responses to user queries"
Priority level of the issue
LOW, MEDIUM, HIGH "HIGH"
Type/category of the issue
BUG, HUMAN_ANNOTATION, SUGGESTED_TASK, USER_SIGNAL "BUG"
Associated topic ID if issue came from a topic
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Associated task ID if issue came from a task
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Associated test ID if issue came from a test
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Associated evaluation definition ID if issue came from an evaluation
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Associated annotation ID if related to an annotation
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"890e5678-e89b-12d3-a456-426614174000"
Associated trace ID for monitoring/debugging
"trace_abc123"
Associated experiment ID to link issue to an experiment
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Parent issue ID for creating sub-issues
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully created issue